Client vs. server
=================

For the dedicated server, run darkplaces-server instead of darkplaces. You
can also use the client binary as a dedicated server by running
"darkplaces -dedicated".

Using this engine to play Nexuiz
================================

Upgrade the nexuiz and nexuiz-server packages to version "2.5.2+dp" or later,
and they will run using this version of DarkPlaces. Earlier versions
contained their own outdated copy of DarkPlaces.

Using this engine to play Quake
===============================

As with any Quake engine, you will need the data files in order to use it.

The first episode of Quake is available gratis as shareware from iD.
Of course the data from the full version of the game will also work fine,
if you have it. Use the "game-data-packager" package (in the Debian contrib
archive area) to build and install the "quake-registered" or "quake-shareware"
package, then run the engine via the wrapper scripts in the quake or
quake-server packages (also from contrib):

    quake --engine=/usr/games/darkplaces

or for a dedicated server:

    quake-server --engine=/usr/games/darkplaces-server

If you have both DarkPlaces and Quakespasm installed, the "quake" and
"quake-server" scripts and menu entries will default to running whichever
was installed first, in order to avoid losing access your saved games
and settings by switching to the other engine. You can select which one
is the default via update-aternatives:

    sudo update-alternatives --config quake-engine
    sudo update-alternatives --config quake-engine-server

Using this engine to play other games (e.g. OpenQuartz)
=======================================================

DarkPlaces applies different options and workarounds to various mods and
standalone games, so in addition to selecting a base directory for game
content, you should select a game mode by using one of these options:

    -quake (this is the default)        Quake
    -hipnotic                           Mission pack 1, Scourge of Armagon
    -rogue                              Mission pack 2, Dissolution of Eternity

    -battlemech                         Battlemech (multi-player game)
    -contagiontheory                    Contagion Theory (game)
    -darsana                            Darsana (game)
    -did2                               Defeat in Detail 2 (game)
    -dq                                 Deluxe Quake (game)
    -edu2p                              EDU2 Prototype (game)
    -goodvsbad2                         Good vs. Bad 2 (psychedelic RTS FPS)
    -moonhelm                           MoonHelm (game)
    -nehahra                            The Seal of Nehahra
    -neoteric                           Neoteric (game)
    -nexuiz                             Nexuiz (GPL multi-player game)
    -omnicide                           Blood Omnicide (game)
    -openquartz                         OpenQuartz (GPL game)
    -prophecy                           Prophecy (game)
    -prydon                             Prydon Gate (action RPG)
    -quoth                              Quoth (Quake mod pack)
    -setheral                           Setheral (multi-player game)
    -steelstorm                         Steel Storm (game)
    -strapbomb                          Strap-on-bomb Car (game)
    -tenebrae                           Tenebrae (graphics test mod)
    -teu                                The Evil Unleashed (obsolete)
    -thehunted                          The Hunted (game)
    -transfusion                        Transfusion (Blood ported to Quake)
    -xonotic                            Xonotic (GPL multi-player game)
    -zymotic                            Zymotic (single-player game)

The engine looks for the data in the *current directory* by default, so it
expects to find, for instance, 'id1/pak0.pak' wherever you started the game.
You can specify another directory like so:

    darkplaces -openquartz -basedir /usr/local/share/openquartz

If you make a symlink to the engine binary whose name includes one of these
keywords, running it is equivalent to using the appropriate game mode option:

    battlemech
    contagiontheory
    darsana
    did2
    dq
    edu2p
    gvb2
    hipnotic
    moonhelm
    nehahra
    neoteric
    nexuiz
    omnicide
    openquartz
    prophecy
    prydon
    rogue
    quoth
    setheral
    steelstorm
    strapbomb
    tenebrae
    teu
    thehunted
    transfusion
    xonotic
    zymotic
